## net.sf.saxon.om
Class Validation

    java.lang.Object
      |
      +--net.sf.saxon.om.Validation

public final class Validation
extends java.lang.Object

This class contains constants and static methods to manipulate the validation property of a type.

Field Summary
`static int` `INVALID`
`static int` `LAX`
`static int` `PRESERVE`
`static int` `SKIP`
`static int` `STRICT`
`static int` `STRIP`
`static int` `VALIDATE_OUTPUT`
`static int` `VALIDATION_MODE_MASK`

Constructor Summary
`Validation()`

Method Summary
`static int` `getCode(java.lang.String value)`
`static java.lang.String` `toString(int value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVALID

    public static final int INVALID

See Also:
  Constant Field Values

### STRICT

    public static final int STRICT

See Also:
  Constant Field Values

### LAX

    public static final int LAX

See Also:
  Constant Field Values

### PRESERVE

    public static final int PRESERVE

See Also:
  Constant Field Values

### STRIP

    public static final int STRIP

See Also:
  Constant Field Values

### SKIP

    public static final int SKIP

See Also:
  Constant Field Values

### VALIDATION_MODE_MASK

    public static final int VALIDATION_MODE_MASK

See Also:
  Constant Field Values

### VALIDATE_OUTPUT

    public static final int VALIDATE_OUTPUT

See Also:
  Constant Field Values

Constructor Detail

### Validation

    public Validation()

Method Detail

### getCode

    public static int getCode(java.lang.String value)

### toString

    public static java.lang.String toString(int value)